%define pre	%nil

Name:		bugzilla
Version:	4.4.12
Release:	%mkrel 1

Summary:	A bug tracking system developed by mozilla.org
License:	MPL
Group:		Networking/WWW
Url:		http://www.bugzilla.org
Source0:	http://ftp.mozilla.org/pub/mozilla.org/webtools/%{name}-%{version}%{pre}.tar.gz
Source1:	Bugzilla.pm
Patch0:		%{name}-fhs.patch
Patch2:		bugzilla-4.0.2-fix-permissions.patch
Patch3:		bugzilla-4.0.2-recommend-urpmi.patch
Requires:	apache
Requires:	perl(CGI) >= 1:3.510.0
Requires:	perl(Date::Format) >= 2.23
Requires:	perl(DateTime)     >= 0.280.0
Requires:	perl(Digest::SHA)
Requires:       perl(Date::Format) >= 2.23
Requires:	perl(File::Spec)   >= 0.840.0
Requires:	perl(DBI)          >= 1.540.0
Requires:	perl(Template)     >= 2.220.0
Requires:	perl(Email::Send)  >= 2.0.0
Requires:	perl(Email::MIME::Modifier)
Requires:	perl(Math::Random::ISAAC) >= 1.0.1
Requires:	perl(Math::Random::ISAAC::XS)
Requires:       perl(Email::MIME) >= 1.904
Requires:       perl(URI) >= 1.37 
Requires:       perl(List::MoreUtils) >= 0.32 
Requires:	sendmail-command
Recommends:	diffutils
Recommends:	graphviz
Recommends:	patchutils
Recommends:	perl(DBD::mysql) >= 4.0.1
Recommends:	perl(DBD::Pg)    >= 2.7.0
Recommends:	perl(GD)
Recommends:	perl(GD::Graph)
Recommends:	perl(GD::TextUtil)
Recommends:	perl(Chart::Base)
Recommends:	perl(Net::LDAP)
Recommends:	perl(PatchReader)
Recommends:	perl(XML::Parser)
BuildArch:	noarch



%{?perl_default_filter}

# Remove private modules from the requires stream
%global __requires_exclude %__requires_exclude|^perl\\(sanitycheck.cgi\\)$

# Remove all optional modules from the requires stream
# mod_perl modules
%global __requires_exclude %__requires_exclude|^perl\\(Apache2::
%global __requires_exclude %__requires_exclude|^perl\\(ModPerl::
# authentification modules
%global __requires_exclude %__requires_exclude|^perl\\(Authen::Radius\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Net::LDAP\\)$
# database modules
%global __requires_exclude %__requires_exclude|^perl\\(DBD::Oracle\\)$
%global __requires_exclude %__requires_exclude|^perl\\(DBD::Pg\\)$
%global __requires_exclude %__requires_exclude|^perl\\(DBI::db\\)$
%global __requires_exclude %__requires_exclude|^perl\\(DBI::st\\)$
# inbound email modules
%global __requires_exclude %__requires_exclude|^perl\\(Email::MIME::Attachment::Stripper\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Email::Reply\\)$
# bug moving modules
%global __requires_exclude %__requires_exclude|^perl\\(MIME::Parser\\)$
%global __requires_exclude %__requires_exclude|^perl\\(XML::Twig\\)$
# xml-rpc and json-rpc modules
%global __requires_exclude %__requires_exclude|^perl\\(XMLRPC::
%global __requires_exclude %__requires_exclude|^perl\\(HTTP::Message\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Test::Taint\\)$
# extension modules
%global __requires_exclude %__requires_exclude|^perl\\(Image::Magick\\)$

# and remove the extensions from the provides stream
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::BmpConvert\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::Example\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::Example::Auth::Login\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::Example::Auth::Verify\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::Example::Config\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::Example::WebService\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::OldBugMove\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::OldBugMove::Params\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::Voting\\)$


%description
Bugzilla is one example of a class of programs called "Defect Tracking
Systems", or, more commonly, "Bug-Tracking Systems". Defect Tracking Systems
allow individual or groups of developers to keep track of outstanding bugs
in their product effectively.

%package contrib
Summary:	Additional tools for %{name}
Group:		Networking/WWW

%description contrib
This package contains additional tools for %{name}.

%prep
%setup -q -n %{name}-%{version}%{pre}
find . -name CVS -o -name .cvsignore -delete

# fix perms
chmod -R go=u-w .
chmod 644 Bugzilla/Bug.pm
chmod 644 template/en/default/admin/keywords/*
chmod 755 docs/makedocs.pl

# fix paths
find . -type f | xargs perl -pi -e "s|/usr/local/bin|%{_bindir}|g"

# fix contrib documentation files names
(cd contrib/bugzilla-submit && mv README README.bugzilla-submit)

%patch0 -p1
%patch2 -p1
%patch3 -p1

%build

%install
%__mkdir_p %{buildroot}%{perl_sitelib}
install -m644 %{SOURCE1} %{buildroot}%{perl_sitelib}

install -d -m 755 %{buildroot}%{_datadir}/%{name}

install -d -m 755 %{buildroot}%{_datadir}/%{name}/www
install -m 755 *.cgi %{buildroot}%{_datadir}/%{name}/www
cp -pr js skins images robots.txt %{buildroot}%{_datadir}/%{name}/www
install -d -m 755 %{buildroot}%{_datadir}/%{name}/extensions
install -d -m 755 %{buildroot}%{_datadir}/%{name}/www/skins/custom
install -d -m 755 %{buildroot}%{_datadir}/%{name}/www/skins/contrib

install -d -m 755 %{buildroot}%{_datadir}/%{name}/lib
install -d -m 755 %{buildroot}%{_datadir}/%{name}/bin

# only install english templates (bug #61555)
install -d -m 755 %{buildroot}%{_datadir}/%{name}/template
cp -pr template/en %{buildroot}%{_datadir}/%{name}/template

cp -pr Bugzilla %{buildroot}%{_datadir}/%{name}/lib
install -m 644 Bugzilla.pm \
	%{buildroot}%{_datadir}/%{name}/lib
install -m 755 collectstats.pl \
	testserver.pl \
	checksetup.pl \
	importxml.pl \
	whineatnews.pl \
	whine.pl \
	contrib/bzdbcopy.pl \
	contrib/cvs-update.pl \
	contrib/jb2bz.py \
	contrib/merge-users.pl \
	contrib/mysqld-watcher.pl \
	contrib/sendbugmail.pl \
	contrib/sendunsentbugmail.pl \
	contrib/syncLDAP.pl \
	contrib/bugzilla-submit/bugzilla-submit \
	contrib/cmdline/buglist \
	contrib/cmdline/bugs \
	%{buildroot}%{_datadir}/%{name}/bin

install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -m 644 contrib/cmdline/query.conf %{buildroot}%{_sysconfdir}/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}

# apache configuration
install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
# Bugzilla Apache configuration
Alias /%{name}/data %{_localstatedir}/lib/%{name}/
Alias /%{name}/images %{_datadir}/%{name}/www/images
Alias /%{name}/js %{_datadir}/%{name}/www/js
Alias /%{name}/skins %{_datadir}/%{name}/www/skins
ScriptAlias /%{name} %{_datadir}/%{name}/www

<Directory %{_datadir}/%{name}/www>
    Require all granted
    DirectoryIndex index.cgi
</Directory>

# The dot files must be accessible to the public webdot server
# The png files locally created locally must be accessible
<Directory %{_localstatedir}/lib/bugzilla/webdot>
    <FilesMatch \.dot$>
        Require host research.att.com
    </FilesMatch>

    <FilesMatch \.png$>
        Require all granted
    </FilesMatch>
</Directory>
EOF

# cron task
install -d -m 755 %{buildroot}%{_sysconfdir}/cron.d
cat > %{buildroot}%{_sysconfdir}/cron.d/%{name} <<EOF
0 0 * * *     apache     %{_datadir}/%{name}/bin/collectstats.pl > /dev/null 2>&1
0 0 * * *     apache     %{_datadir}/%{name}/bin/whineatnews.pl > /dev/null 2>&1
*/15 * * * *  apache     %{_datadir}/%{name}/bin/whine.pl > /dev/null 2>&1
EOF

cat > README.urpmi <<EOF
Mageia RPM specific notes

setup
-----
The setup used here differs from default one, to achieve better FHS compliance.
- the constant files are in %{_datadir}/%{name}
- the variables files are in %{_localstatedir}/lib/%{name}
- the configuration file will be generated in %{_sysconfdir}/%{name}

post-installation
-----------------
 - create a database in one of: MySQL/MariaDB/PostgreSQL
 - run %{_datadir}/%{name}/bin/checksetup.pl

Additional useful packages
--------------------------
- perl-GD, perl-GDGraph, perl-GD-TextUtil and perl-Chart for graphical reports
- perl-XML-Parser for importing XML bugs
- perl-Net-LDAP for LDAP authentication
- perl-PatchReader, cvs, diffutils and patchutils for patch viewer
- graphviz for graphical view of dependency relationships
- a MySQL/MariaDB/PostgreSQL database, either locale or remote
EOF

%files
%doc README README.urpmi docs
%config(noreplace) %{_webappconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%{_datadir}/%{name}
%{_sysconfdir}/%{name}
%attr(-,apache,apache) %{_localstatedir}/lib/%{name}
%{perl_sitelib}/*
%exclude %{_datadir}/%{name}/bin/cvs-update.pl
%exclude %{_datadir}/%{name}/bin/jb2bz.py
%exclude %{_datadir}/%{name}/bin/mysqld-watcher.pl
%exclude %{_datadir}/%{name}/bin/sendbugmail.pl
%exclude %{_datadir}/%{name}/bin/sendunsentbugmail.pl
%exclude %{_datadir}/%{name}/bin/syncLDAP.pl
%exclude %{_datadir}/%{name}/bin/bugzilla-submit
%exclude %{_datadir}/%{name}/bin/buglist
%exclude %{_datadir}/%{name}/bin/bugs
%exclude %{_sysconfdir}/%{name}/query.conf

%files contrib
%doc contrib/README
%doc contrib/bugzilla-submit/README.bugzilla-submit
%{_datadir}/%{name}/bin/cvs-update.pl
%{_datadir}/%{name}/bin/jb2bz.py
%{_datadir}/%{name}/bin/mysqld-watcher.pl
%{_datadir}/%{name}/bin/sendbugmail.pl
%{_datadir}/%{name}/bin/sendunsentbugmail.pl
%{_datadir}/%{name}/bin/syncLDAP.pl
%{_datadir}/%{name}/bin/bugzilla-submit
%{_datadir}/%{name}/bin/buglist
%{_datadir}/%{name}/bin/bugs
%config(noreplace) %{_sysconfdir}/%{name}/query.conf

#--------------------------------------------------------------------



%changelog
* Tue May 17 2016 tmb <tmb> 4.4.12-1.mga5
+ Revision: 1016288
- 4.4.12 (CVE-2016-2803)

  + luigiwalser <luigiwalser>
    - 4.4.11 (fixes CVE-2015-8508 and CVE-2015-8509)
    - attempt to fix broken apache config
    - 4.4.10 (fixes CVE-2015-4499)

* Fri May 15 2015 neoclust <neoclust> 4.4.9-1.mga5
+ Revision: 822096
- 4.4.9 (regression fix release)

* Wed Jan 28 2015 luigiwalser <luigiwalser> 4.4.8-1.mga5
+ Revision: 812593
- 4.4.8
- 4.4.7

* Wed Oct 15 2014 umeabot <umeabot> 4.4.6-2.mga5
+ Revision: 744047
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 luigiwalser <luigiwalser> 4.4.6-1.mga5
+ Revision: 737201
- 4.4.6 (fixes CVE-2014-157[1-3])

* Sat Sep 27 2014 tv <tv> 4.4.5-3.mga5
+ Revision: 730845
- add exclude from FC

* Tue Sep 16 2014 umeabot <umeabot> 4.4.5-2.mga5
+ Revision: 678242
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes
    - s/uggests:/Recommends:/

* Tue Aug 12 2014 luigiwalser <luigiwalser> 4.4.5-1.mga5
+ Revision: 662117
- 4.4.5 (fixes CVE-2014-1546)

* Thu May 01 2014 tmb <tmb> 4.4.4-3.mga5
+ Revision: 619355
- enable cgi-script handler

* Wed Apr 30 2014 tmb <tmb> 4.4.4-2.mga5
+ Revision: 619056
- update to 4.4.4

* Mon Apr 07 2014 guillomovitch <guillomovitch> 4.4.2-2.mga5
+ Revision: 612614
- use ScriptAlias instead of Alias in apache configuration, as there is no global handler for CGI scripts defined anymore by default

  + dmorgan <dmorgan>
    - New bugfix/regressionfix release

* Sat Oct 19 2013 umeabot <umeabot> 4.4.1-2.mga4
+ Revision: 526523
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 ovitters <ovitters> 4.4.1-1.mga4
+ Revision: 502183
- new version 4.4.1

* Tue Jun 04 2013 dmorgan <dmorgan> 4.4-1.mga4
+ Revision: 437226
- New version

* Wed Feb 20 2013 dmorgan <dmorgan> 4.4-0.rc2.3.mga3
+ Revision: 399542
- Add more versions
- Update needed deps
- New version

  + oden <oden>
    - 4.2.5 (fixes CVE-2013-0785, CVE-2013-0786)
    - 4.2.4 (fixes CVE-2012-4199,4198,4189,4197,5475)

* Fri Jan 11 2013 umeabot <umeabot> 4.2.3-4.mga3
+ Revision: 347218
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 guillomovitch <guillomovitch> 4.2.3-3.mga3
+ Revision: 290479
- make webapp configuration file compatible with apache 2.4

* Thu Aug 30 2012 ovitters <ovitters> 4.2.3-2.mga3
+ Revision: 285919
- bump release to ensure higher than Mageia 2 updates version

* Thu Aug 30 2012 ovitters <ovitters> 4.2.3-1.mga3
+ Revision: 285903
- new version 4.2.3

* Tue Aug 07 2012 guillomovitch <guillomovitch> 4.2.2-1.mga3
+ Revision: 279830
- new version

* Sun Aug 05 2012 ovitters <ovitters> 4.2.1-2.mga3
+ Revision: 278582
- fix requires (mga#6093)

* Sun Apr 29 2012 fwang <fwang> 4.2.1-1.mga2
+ Revision: 234164
- new version 4.2.1

* Sat Feb 25 2012 ovitters <ovitters> 4.2-3.mga2
+ Revision: 214705
- make README.urpmi work
- don't only suggest MySQL, also mention MariaDB+PostgreSQL

* Sat Feb 25 2012 ovitters <ovitters> 4.2-2.mga2
+ Revision: 214656
- make bugzilla actually work (mga#4676)

* Wed Feb 22 2012 ovitters <ovitters> 4.2-1.mga2
+ Revision: 212425
- update file list
- fix accidental tabs
- new version
- update patch0

* Wed Feb 22 2012 ovitters <ovitters> 4.0.5-2.mga2
+ Revision: 212401
- new version

* Wed Feb 01 2012 ovitters <ovitters> 4.0.4-2.mga2
+ Revision: 203853
- new version
- drop jsonrpc patch
- retab! spec file

  + guillomovitch <guillomovitch>
    - keep %%files sections at the end of file

* Sun Jan 01 2012 ovitters <ovitters> 4.0.3-2.mga2
+ Revision: 189444
- add patch for new perl-JSON-RPC (mga#3906)

* Thu Dec 29 2011 ovitters <ovitters> 4.0.3-1.mga2
+ Revision: 188612
- new version 4.0.3
- drop patch1 (merged)

* Mon Sep 19 2011 ovitters <ovitters> 4.0.2-8.mga2
+ Revision: 145611
- ensure release is newer than 1

* Sun Sep 18 2011 ovitters <ovitters> 4.0.2-7.mga2
+ Revision: 145108
- add patch to ensure optional dependencies are installed using urpmi

* Sun Sep 18 2011 ovitters <ovitters> 4.0.2-6.mga2
+ Revision: 144986
- remove duplicates.rdf apache config as upstream removed it in 3.4

* Sun Sep 18 2011 ovitters <ovitters> 4.0.2-5.mga2
+ Revision: 144980
- add patch to make checksetup.pl work (bug 1040)

* Sun Sep 18 2011 ovitters <ovitters> 4.0.2-4.mga2
+ Revision: 144954
- update Bugzilla.pm file to make it work with mod_perl
  update fhs patch per suggestions upstream

  + dmorgan <dmorgan>
    - Fix path in checksetup
      Really remove ruby file
    - Fix path to bugzilla ( mga #1040)
    - we remove bugzilla_ldapsync.rb because it does not work and add dep on ruby ( mga #1776)
    - Add upstream patch to fix a check with new perl-version
    - Fix $bz_root_dir thanks to LpSolit
    - New version  4.0.2
      Add Upstream Bugzilla.pm ( allow to remove P2 )

* Fri Feb 18 2011 dmorgan <dmorgan> 4.0-1.mga1
+ Revision: 53387
- New version 4.0

* Fri Feb 04 2011 dmorgan <dmorgan> 4.0-0.rc2.1.mga1
+ Revision: 46840
- Update to bugzilla 4.0 RC2
- imported package bugzilla


* Sun Jan 30 2011 Guillaume Rousse <guillomovitch@mandriva.org> 3.6.4-1mdv2011.0
+ Revision: 634176
- update to new version 3.6.4

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update perl-CGI requires because of a security issue
      https://bugzilla.mozilla.org/show_bug.cgi?id=600464

* Sun Nov 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.6.3-2mdv2011.0
+ Revision: 594829
- only ship english templates (bug #61555)

* Sat Nov 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.6.3-1mdv2011.0
+ Revision: 594273
- new version
  update fhs and installation patches

* Wed Aug 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.6.2-1mdv2011.0
+ Revision: 569161
- new version

* Tue Apr 13 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.6-1mdv2010.1
+ Revision: 534573
- new version

* Thu Mar 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.4.6-1mdv2010.1
+ Revision: 525137
- update to new version 3.4.6

* Mon Mar 01 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.4.5-2mdv2010.1
+ Revision: 513138
- fix dependencies

* Sat Feb 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.4.5-1mdv2010.1
+ Revision: 501371
- new version

* Wed Jan 20 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.4.4-2mdv2010.1
+ Revision: 494305
- switch to open to all by default, as the application does not allow modification of system state
- rely on filetrigger for reloading apache configuration begining with 2010.1, rpm-helper macros otherwise

* Fri Dec 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.4.4-1mdv2010.1
+ Revision: 473485
- new version
- better apache configuration

* Mon Nov 30 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.4.3-2mdv2010.1
+ Revision: 472099
- restrict default access permissions to localhost only, as per new policy

* Sat Nov 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.4.3-1mdv2010.1
+ Revision: 462364
- update to new version 3.4.3

* Sun Sep 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.4.2-1mdv2010.0
+ Revision: 438635
- new version

* Wed Aug 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.4.1-1mdv2010.0
+ Revision: 418278
- new version

* Wed Aug 12 2009 Jérôme Quelin <jquelin@mandriva.org> 3.4-3mdv2010.0
+ Revision: 415676
- adding security patch

* Wed Aug 12 2009 Jérôme Quelin <jquelin@mandriva.org> 3.4-2mdv2010.0
+ Revision: 415671
- bug 52827: adding missing requires:

* Tue Jul 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.4-1mdv2010.0
+ Revision: 402836
- new version

* Thu Jul 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.4-1mdv2010.0
+ Revision: 396682
- new version
- move all web files under %%{_datadir}/%%{name}/www

* Tue May 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.3-2mdv2010.0
+ Revision: 372202
- add soft dependencies for optional additional packages

* Thu Apr 02 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.3-1mdv2009.1
+ Revision: 363522
- update to new version 3.2.3

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 3.2.2-1mdv2009.1
+ Revision: 337090
- New version 3.2.2

* Fri Dec 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.2-1mdv2009.1
+ Revision: 310742
- new version
- rediff FHS and file perms patches

* Sun Nov 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.6-1mdv2009.1
+ Revision: 301431
- update to new version 3.0.6

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 3.0.5-1mdv2009.0
+ Revision: 275951
- rediff perms patch
- New version 3.0.5

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 3.0.4-2mdv2009.0
+ Revision: 266423
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Tue May 06 2008 Funda Wang <fwang@mandriva.org> 3.0.4-1mdv2009.0
+ Revision: 201767
- New version 3.0.4

* Fri Feb 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.3-1mdv2008.1
+ Revision: 176726
- update to new version 3.0.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.2-2mdv2008.1
+ Revision: 116252
- added P2 to be able to use apache-mod_authn_bugzilla

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.2-1mdv2008.1
+ Revision: 105255
- new version

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.1-2mdv2008.0
+ Revision: 89581
- rebuild

* Fri Aug 31 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.1-1mdv2008.0
+ Revision: 77124
- new version
  drop duplicate warning patch (merged upstream)
  rediff fhs patch

* Wed May 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.0-4mdv2008.0
+ Revision: 32946
- really fix dependencies, using individual module syntax rather than packages

* Fri May 25 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.0-3mdv2008.0
+ Revision: 31125
- fix dependencies

* Thu May 24 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.0-2mdv2008.0
+ Revision: 30905
- update dependencies
- fix alias ordering in apache configuration
- add missing custom skins directory
- fix FHS patch

* Thu May 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.0-1mdv2008.0
+ Revision: 27603
- new version


* Wed Feb 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.22.2-1mdv2007.0
+ Revision: 121057
- new version
  rediff FHS patch

* Thu Dec 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.22.1-1mdv2007.1
+ Revision: 96801
- new version
- Import bugzilla

* Sat Jul 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.22-4mdv2007.0
- relax buildrequires versionning

* Tue Jun 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.22-3mdv2007.0
- use new webapps macros
- don't provides private perl dependencies
- decompress all patches

* Tue May 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.22-2mdk
- fix apache configuration file backportability

* Wed May 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.22-1mdk
- new release
- buildrequires apache >= 2.0.54-5mdk because of macros use
- rediff FHS patch
- don't use backup files for patches, as it interferes with installed files

* Tue Apr 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.20.1-1mdk
- New release 2.20.1
- use herein document to manage README.mdv instead of additional source
- backport compatible apache configuration file
- mark the cron task as configuration to allow user customizations

* Mon Dec 05 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.20-2mdk
- misc fixes from Sherwin Daganato (<win@email.com.ph>)
 - rediff fhs patch to fix missed files
 - add whine.pl (new in v2.20) in cron and bindir
 - fix requires
 - fix regex in _requires_exceptions
- don't ship tests
- filter additional automatics requires
- drop require on perl-DBD-Mysql, bugzilla is supposed to be DB-agnostic now
- fix checksetup.pl path in README

* Sun Nov 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.20-1mdk
- 2.20
- use webapp rpm macros
- rediff all patches

* Fri Sep 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.18.3-1mdk
- new version 
- %%mkrel
- fix requires for contrib package

* Fri Jul 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.18.1-3mdk 
- requires sendmail-command

* Thu Jun 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.18.1-2mdk 
- new apache setup 
- clean apache config from useless directives
- update README.mdk
- more exceptions for handling optional packages

* Fri May 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.18.1-1mdk
- 2.18.1 (Minor bugfixes)
- rediffed P0

* Sat Apr 02 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.18-4mdk 
- ship configuration directory (thanks snt)

* Sat Feb 19 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.18-3mdk 
- patch files instead of setting PERL5LIB as bugzilla run in tainted mode
- more complete apache configuration
- update README.mdk
- make cron tasks run by apache user
- install tests and contribs
- ship contrib in a distinct subpackage

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.18-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Thu Jan 27 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.18-1mdk 
- new version
- top-level is now /var/www/bugzilla
- non-accessible files are now in /usr/share/bugzilla
- herein document whenever possible
- no more order for apache configuration
- reload apache instead of restart it
- don't tag executables in /etc as executables
- README.mdk

* Mon Jan 17 2005 Stefan van der Eijk <stefan@mandrake.org> 2.16.8-1mdk
- New release 2.16.8

* Thu Jan 06 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.16.7-2mdk 
- fixed missing perl deps (thx knocte <knocte@gmail.com>)

* Mon Dec 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.16.7-1mdk
- 2.16.7 (security and bugfixes release)

* Tue Jul 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.16.6-2mdk 
- apache config file in /etc/httpd/webapps.d
- standard perms for /etc/httpd/webapps.d/%%{order}_bugzilla.conf

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.16.6-1mdk
- 2.16.6 (minor bugfixes)

* Fri Apr 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.16.5-1mdk
- new version
- dropped useless provides
- rpmbuildupdate aware

* Tue Apr 13 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.16.4-3mdk
- updated description (John Keller <jkeller@matchbox.fr>)

* Wed Apr 07 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.16.4-2mdk
- let spechelper compute perl dependencies

